Subject: bug#31211: 27.0.50; Pruning of command-history in command-execute is off by one

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 18 Apr 2018 19:52:17 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

> The second suggests some minor refactors/simplifications in surrounding
> functions.

P.S. I see that, with kill-append-merge-undo enabled, kill-append
     removes the next undo boundary it finds in buffer-undo-list.
     This search for the next undo boundary, however, starts with the
     second element of buffer-undo-list.  Is it reasonable to expect
     that the first element of buffer-undo-list is never nil here?

-- 
Basil